@echo off
rem find ANT_HOME
rem if not "%ANT_HOME%"=="" goto checkJava

rem check for ant in Program Files on system drive
if not exist "%SystemDrive%\Program Files\dbXML-Core" goto checkSystemDrive
set ANT_HOME=%SystemDrive%\Program Files\dbXML-Core
goto checkJava

:checkSystemDrive
rem check for ant in root directory of system drive
if not exist "%SystemDrive%\dbXML-Core" goto checkdbXML
set ANT_HOME=%SystemDrive%\dbXML-Core
goto checkJava

:checkdbXML
rem check for ant in root directory of system drive
if not exist "%SystemDrive%\dbXML-Core" goto checkdbXMLWork
set ANT_HOME=%SystemDrive%\dbXML-Core
goto checkJava


:checkdbXMLWork
rem check for ant in root directory of system drive
if not exist "%SystemDrive%\work\dbXML-Core" goto checkCurrent
set ANT_HOME=%SystemDrive%\work\dbXML-Core
goto checkJava

:checkCurrent
if exist ".\config" set ANT_HOME=
echo %ANT_HOME%
goto checkJava

:noAntHome
echo ANT_HOME is not set and ant could not be located. Please set ANT_HOME.
goto end

:checkJava
if "%JAVACMD%" == "" set JAVACMD=java

set LOCALCLASSPATH=%CLASSPATH%;%ANT_HOME%\config;%ANT_HOME%\java\lib\xerces_1.3.0.jar
rem this is necessary since both xerces and xalan define jaxp
for %%i in (%ANT_HOME%\java\lib\*.jar) do call %ANT_HOME%\bin\lcp.bat %%i

if "%JAVA_HOME%" == "" goto runAnt
if exist %JAVA_HOME%\lib\tools.jar call %ANT_HOME%\bin\lcp.bat %JAVA_HOME%\lib\tools.jar
if exist %JAVA_HOME%\lib\classes.zip call %ANT_HOME%\bin\lcp.bat %JAVA_HOME%\lib\classes.zip

:runAnt
echo %JAVACMD% -classpath %LOCALCLASSPATH% -Dant.home=%ANT_HOME% %ANT_OPTS% org.apache.tools.ant.Main %1 %2 %3 %4 %5 %6 %7 %8 %9

%JAVACMD% -classpath %LOCALCLASSPATH% -Dant.home=%ANT_HOME% %ANT_OPTS% org.apache.tools.ant.Main %1 %2 %3 %4 %5 %6 %7 %8 %9

:end
set LOCALCLASSPATH=

