@echo off
rem find DBXML_HOME
if not "%DBXML_HOME%"=="" goto checkJava

rem check for ant in Program Files on system drive
if not exist "%SystemDrive%\Program Files\dbXML-Core" goto checkSystemDrive
set DBXML_HOME=%SystemDrive%\Program Files\dbXML-Core
goto checkJava

:checkSystemDrive
rem check for ant in root directory of system drive
if not exist "%SystemDrive%\dbXML-Core" goto checkCurrent
set DBXML_HOME=%SystemDrive%\dbXML-Core
goto checkJava

:checkdbXML
rem check for ant in root directory of system drive
if not exist "%SystemDrive%\dbXML-Core" goto checkdbXMLWork
set DBXML_HOME=%SystemDrive%\dbXML-Core
goto checkJava


:checkdbXMLWork
rem check for ant in root directory of system drive
if not exist "%SystemDrive%\work\dbXML-Core" goto checkCurrent
set DBXML_HOME=%SystemDrive%\work\dbXML-Core
goto checkJava

:checkCurrent
if exist ".\config" set DBXML_HOME=.\
goto checkJava

:noHome
echo DBXML_HOME is not set and dbXML could not be located. Please set DBXML_HOME.
goto end

:checkJava
if "%JAVACMD%" == "" set JAVACMD=java

set LOCALCLASSPATH=%CLASSPATH%;%ANT_HOME%\config
for %%i in (%DBXML_HOME%\java\lib\*.jar) do call %DBXML_HOME%\bin\lcp.bat %%i

if "%JAVA_HOME%" == "" goto runAnt
if exist %JAVA_HOME%\lib\tools.jar call %DBXML_HOME%\bin\lcp.bat %JAVA_HOME%\lib\tools.jar
if exist %JAVA_HOME%\lib\classes.zip call %DBXML_HOME%\bin\lcp.bat %JAVA_HOME%\lib\classes.zip

:runAnt
cd %DBXML_HOME%
echo %JAVACMD% -classpath "%LOCALCLASSPATH%" -noverify org.dbxml.core.server.dbXML %DBXML_HOME%\config\system.xml
%JAVACMD% -Xms16m -Xmx128m -Ddbxml.home=%DBXML_HOME% -classpath "%LOCALCLASSPATH%" -noverify org.dbxml.core.server.dbXML %DBXML_HOME%\config\system.xml

:end
set LOCALCLASSPATH=

